Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 2.4.0SynchronousAuth Required
UpdateIAM2VirtualIDGroup
UpdateIAM2VirtualIDGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateiam2virtualidgroupObjectRequiredupdateiam2virtualidgroup request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/iam2/projects/groups/{uuid}/actions
/zstack/v1/iam2/projects/groups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/iam2/projects/groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2virtualidgroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "9d44314e3c1a40759a0af2c59b4bd9b2", "projectUuid": "943d49ec4af74b8795d4c37b01d9e512", "name": "group-name", "state": "Enabled", "attributes": [ { "uuid": "2e3fb2391e774e81bd55c6130c083c1d", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }Change History
This API has no change history records yet.
